/* HTML: <div class="loader"></div> */
.loadingScreen {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 10000;
  width: 100%;
  background-color: rgb(17, 17, 17, 0.8);
}
.loadingScreen.display {
  opacity: 1;
  visibility: visible;
  transition: opacity 0.3s 0.1s, visibility 0.1s;
}
.loadingScreen.hidden {
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s, visibility 0.1s 0.3s;
}
.loader {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 65px;
  aspect-ratio: 1;
}
.loader:before,
.loader:after {
  content: "";
  position: absolute;
  inset: 0 auto auto 0;
  aspect-ratio: 1;
  border-radius: 50px;
  box-shadow: 0 0 0 10px inset #e86273;
  animation: l5 0.8s infinite linear alternate;
}
.loader:after {
  inset: auto 0 0 auto;
  animation-delay: -0.8s;
}
@keyframes l5 {
  0% {
    width: 20px;
  }
  100% {
    width: 50px;
  }
}